Replace one common responsibility timeline for an Entity instance.
PUT
/api/workspace/entity/{entityIdOrKey}/instances/{instanceId}/assignments/{relationDefinitionId}
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Put, RequestUri = new Uri("https://example.com/api/workspace/entity/example/instances/example/assignments/example"), Content = new StringContent("{ \"OperationKey\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"Resource\": { \"ResourceModule\": \"example\", \"ResourceKind\": \"example\", \"ContextResourceId\": \"example\", \"ResourceObjectId\": \"example\" }, \"ResponsibilityKey\": \"example\", \"Subjects\": [ { \"SubjectType\": \"example\", \"SubjectId\": \"example\", \"EffectiveFrom\": \"2026-04-15T12:00:00Z\", \"EffectiveTo\": \"2026-04-15T12:00:00Z\" } ], \"RowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"Reason\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/entity/example/instances/example/assignments/example';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"OperationKey":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","Resource":{"ResourceModule":"example","ResourceKind":"example","ContextResourceId":"example","ResourceObjectId":"example"},"ResponsibilityKey":"example","Subjects":[{"SubjectType":"example","SubjectId":"example","EffectiveFrom":"2026-04-15T12:00:00Z","EffectiveTo":"2026-04-15T12:00:00Z"}],"RowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","Reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/workspace/entity/example/instances/example/assignments/example \ --header 'Content-Type: application/json' \ --data '{ "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Resource": { "ResourceModule": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "ResponsibilityKey": "example", "Subjects": [ { "SubjectType": "example", "SubjectId": "example", "EffectiveFrom": "2026-04-15T12:00:00Z", "EffectiveTo": "2026-04-15T12:00:00Z" } ], "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Reason": "example" }'Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”entityIdOrKey
required
string
Entity definition identifier or normalized key.
instanceId
required
string
Entity instance identifier.
relationDefinitionId
required
string
Stable responsibility code. The route parameter name is retained by the frozen Sprint 2 route contract; it no longer identifies an Entity relation definition.
Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Replay-safe complete responsibility timeline replacement.
object
OperationKey
string format: uuid
Resource
object
ResourceModule
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
ResponsibilityKey
string
Subjects
Array<object>
object
SubjectType
required
string
SubjectId
required
string
EffectiveFrom
required
string format: date-time
EffectiveTo
string format: date-time
RowVersion
string format: uuid
Reason
string
Examplegenerated
{ "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Resource": { "ResourceModule": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "ResponsibilityKey": "example", "Subjects": [ { "SubjectType": "example", "SubjectId": "example", "EffectiveFrom": "2026-04-15T12:00:00Z", "EffectiveTo": "2026-04-15T12:00:00Z" } ], "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Reason": "example"}object
OperationKey
string format: uuid
Resource
object
ResourceModule
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
ResponsibilityKey
string
Subjects
Array<object>
object
SubjectType
required
string
SubjectId
required
string
EffectiveFrom
required
string format: date-time
EffectiveTo
string format: date-time
RowVersion
string format: uuid
Reason
string
Examplegenerated
{ "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Resource": { "ResourceModule": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "ResponsibilityKey": "example", "Subjects": [ { "SubjectType": "example", "SubjectId": "example", "EffectiveFrom": "2026-04-15T12:00:00Z", "EffectiveTo": "2026-04-15T12:00:00Z" } ], "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Reason": "example"}object
OperationKey
string format: uuid
Resource
object
ResourceModule
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
ResponsibilityKey
string
Subjects
Array<object>
object
SubjectType
required
string
SubjectId
required
string
EffectiveFrom
required
string format: date-time
EffectiveTo
string format: date-time
RowVersion
string format: uuid
Reason
string
Examplegenerated
{ "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Resource": { "ResourceModule": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "ResponsibilityKey": "example", "Subjects": [ { "SubjectType": "example", "SubjectId": "example", "EffectiveFrom": "2026-04-15T12:00:00Z", "EffectiveTo": "2026-04-15T12:00:00Z" } ], "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Reason": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
object
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
Media typeapplication/json
object
Data
object
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
Media typeapplication/json
object
Data
object
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Not Found
Media typeapplication/json
object
Data
object
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
Media typeapplication/json
object
Data
object
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}